Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416477 - Review Request: python-openstack-doc-tools - Tools for OpenStack Documentation
Summary: Review Request: python-openstack-doc-tools - Tools for OpenStack Documentation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-25 15:22 UTC by Javier Peña
Modified: 2017-02-10 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 16:36:25 UTC
Type: ---
karlthered: fedora-review+


Attachments (Terms of Use)

Description Javier Peña 2017-01-25 15:22:22 UTC
Spec URL: https://jpena.fedorapeople.org/openstack-doc-tools/python-openstack-doc-tools.spec
SRPM URL: https://jpena.fedorapeople.org/openstack-doc-tools/python-openstack-doc-tools-1.3.0-1.src.rpm
Description: Tools used by the OpenStack Documentation Project.
Fedora Account System Username: jpena

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=17411247

Comment 1 hguemar 2017-01-31 09:58:29 UTC
Taking it (FAS: hguemar)

Comment 2 hguemar 2017-01-31 11:40:02 UTC
Missing BR on docutils (and likely R)

Comment 3 Javier Peña 2017-01-31 12:00:47 UTC
Thanks for the review. I have updated the spec with the missing requirements:

Spec URL: https://jpena.fedorapeople.org/openstack-doc-tools/python-openstack-doc-tools.spec
SRPM URL: https://jpena.fedorapeople.org/openstack-doc-tools/python-openstack-doc-tools-1.3.0-2.src.rpm

Comment 4 Haïkel Guémar 2017-02-05 09:38:51 UTC
You forgot %{?dist} on the Release line, please fix it before import.

Since this package complies with Fedora Packaging guidelines, I hereby approve it.
Please submit a scm request in PkgDB.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 13 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1416477-python-openstack-doc-
     tools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages,
     /usr/lib/python3.6
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python2-openstack-doc-tools (description), python-
     openstack-doc-tools-doc (description), python3-openstack-doc-tools
     (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -openstack-doc-tools , python-openstack-doc-tools-doc , python3
     -openstack-doc-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-openstack-doc-tools-1.3.0-2.noarch.rpm
          python-openstack-doc-tools-doc-1.3.0-2.noarch.rpm
          python3-openstack-doc-tools-1.3.0-2.noarch.rpm
          python-openstack-doc-tools-1.3.0-2.src.rpm
python2-openstack-doc-tools.noarch: W: unexpanded-macro %description -l C %{description}
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/jsoncheck.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/jsoncheck.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/index.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/index.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/diff_branches.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/diff_branches.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/autohelp.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/autohelp.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/commands.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/commands.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/extract_swift_flags.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/extract_swift_flags.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-2
python-openstack-doc-tools-doc.noarch: W: unexpanded-macro %description -l C %{description}
python-openstack-doc-tools-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-openstack-doc-tools-doc/html/.buildinfo
python-openstack-doc-tools-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-openstack-doc-tools-doc/html/objects.inv
python-openstack-doc-tools-doc.noarch: W: file-not-utf8 /usr/share/doc/python-openstack-doc-tools-doc/html/objects.inv
python3-openstack-doc-tools.noarch: W: unexpanded-macro %description -l C %{description}
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/commands.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/commands.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/diff_branches.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/diff_branches.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/index.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/index.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/jsoncheck.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/jsoncheck.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/autohelp.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/autohelp.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/extract_swift_flags.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/extract_swift_flags.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-3.6
4 packages and 0 specfiles checked; 24 errors, 36 warnings.




Rpmlint (installed packages)
----------------------------
python-openstack-doc-tools-doc.noarch: W: unexpanded-macro %description -l C %{description}
python-openstack-doc-tools-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-openstack-doc-tools-doc/html/.buildinfo
python-openstack-doc-tools-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-openstack-doc-tools-doc/html/objects.inv
python-openstack-doc-tools-doc.noarch: W: file-not-utf8 /usr/share/doc/python-openstack-doc-tools-doc/html/objects.inv
python3-openstack-doc-tools.noarch: W: unexpanded-macro %description -l C %{description}
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/autohelp.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/autohelp.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/diff_branches.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/diff_branches.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/autogenerate_config_docs/extract_swift_flags.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/autogenerate_config_docs/extract_swift_flags.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/commands.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/commands.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/index.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/index.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/os_doc_tools/jsoncheck.py /usr/bin/env python
python3-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/os_doc_tools/jsoncheck.py 644 /usr/bin/env python
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-3.6
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-3
python3-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-3.6
python2-openstack-doc-tools.noarch: W: unexpanded-macro %description -l C %{description}
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/autohelp.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/autohelp.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/diff_branches.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/diff_branches.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/autogenerate_config_docs/extract_swift_flags.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/autogenerate_config_docs/extract_swift_flags.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/commands.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/commands.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/index.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/index.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/os_doc_tools/jsoncheck.py /usr/bin/env python
python2-openstack-doc-tools.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/os_doc_tools/jsoncheck.py 644 /usr/bin/env python
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-build-rst-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-check-languages-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary doc-tools-update-cli-reference-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-auto-commands-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-indexpage-2.7
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-2
python2-openstack-doc-tools.noarch: W: no-manual-page-for-binary openstack-jsoncheck-2.7
3 packages and 0 specfiles checked; 24 errors, 36 warnings.



Requires
--------
python-openstack-doc-tools-doc (rpmlib, GLIBC filtered):

python3-openstack-doc-tools (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python3
    python(abi)
    python3-PyYAML
    python3-cliff-tablib
    python3-docutils
    python3-iso8601
    python3-lxml
    python3-oslo-config
    python3-oslo-sphinx
    python3-sphinx

python2-openstack-doc-tools (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python2
    PyYAML
    python(abi)
    python-cliff-tablib
    python-docutils
    python-iso8601
    python-lxml
    python-oslo-config
    python-oslo-sphinx
    python-sphinx



Provides
--------
python-openstack-doc-tools-doc:
    python-openstack-doc-tools-doc

python3-openstack-doc-tools:
    python3-openstack-doc-tools
    python3.6dist(openstack-doc-tools)
    python3dist(openstack-doc-tools)

python2-openstack-doc-tools:
    python-openstack-doc-tools
    python2-openstack-doc-tools
    python2.7dist(openstack-doc-tools)
    python2dist(openstack-doc-tools)



Source checksums
----------------
http://tarballs.openstack.org/openstack-doc-tools/openstack-doc-tools-1.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : ea5e885f06adc7e9e08448d8b96ae4a2084592d08c1e147b10bcb7edf925f7bf
  CHECKSUM(SHA256) upstream package : ea5e885f06adc7e9e08448d8b96ae4a2084592d08c1e147b10bcb7edf925f7bf


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1416477 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-02-06 13:45:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-openstack-doc-tools


Note You need to log in before you can comment on or make changes to this bug.